# element.scrollIntoViewIfNeeded Polyfill for everyone

This gist provides a simple JavaScript implementation of the non-standard WebKit method ```scrollIntoViewIfNeeded``` that can be called on DOM elements.

Install
-------

```npm install element.scrollintoviewifneeded-polyfill```

Usage
-----

Just use the code in ```index.js``` in your app or website. You can see usage in the test page ```test.html```.

The parent element will only scroll if the element being called is out of the view. The boolean can force the element to be centered in the scrolling area.

Improvements
------------

* This code doesn't handle well cases where the element has ```position:absolute``` (and maybe other CSS modifications).
* This code doesn't handle cases where the scroll area isn't the direct parent of the target element.

Kudos to the Gist of Hubert SABLONNIÈRE [@hsablonniere](https://twitter.com/#!/hsablonniere)
---

If you have any ideas to improve this code or if you think the WebKit implementation doesn't work like this, feel free to start a discussion...

[https://gist.github.com/hsablonniere/2581101]
